{"openapi":"3.0.1","servers":[{"url":"https://api.idmission.com/"}],"security":[{"Security_Auth":[]}],"tags":[{"name":"Customer"},{"name":"Master"}],"paths":{"/v4/master/training-model":{"post":{"tags":["Master"],"summary":"Get training model details","description":"This API can be used to fetch the training model details.","operationId":"trainingModel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrainingModelDownloadRq "}}},"required":true},"responses":{"200":{"description":"Request processed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrainingModelDownloadRs "}}}}}}},"/v4/master/app-initialize":{"post":{"tags":["Master"],"summary":"Service to fetch the app initialization details.","description":"This API can be used to fetch the initialization details required for the application.","operationId":"appInitialize","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializeRequest"}}},"required":true},"responses":{"200":{"description":"Request processed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializeResponse"}}}}}}},"/v4/customer/verify":{"post":{"tags":["Customer"],"summary":"Service to verify a previously enrolled customer","description":"Capture of biometric data to verify against a previously enrolled customer.","operationId":"verify","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerVerifyRequest"}}},"required":true},"responses":{"200":{"description":"Customer verified successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerVerifyResponse"}}}}}}},"/v4/customer/validate-id":{"post":{"tags":["Customer"],"summary":"Service to validate an ID document for a customer","description":"Capturing ID document(s), validate the ID and extract data from it.","operationId":"validateId","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerValidateIdRequest"}}},"required":true},"responses":{"200":{"description":"Customer validated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerValidateIdResponse"}}}}}}},"/v4/customer/validate-id-match-face":{"post":{"tags":["Customer"],"summary":"Service to validate an ID document and match a selfie to the ID","description":"Capturing ID document(s), validate the ID and extract data from it. Additionally capture a selfie and match it against the photo on the ID.","operationId":"validateIdMatchFace","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerValidateIdFaceMatchRequest"}}},"required":true},"responses":{"200":{"description":"Customer validated and face matched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerValidateIdFaceMatchResponse"}}}}}}},"/v4/customer/update-customer-profile":{"post":{"tags":["Customer"],"summary":"Service to update basic demographic fields on an existing customer","description":"Updates a customer's demographic fields, identified by client_customer_number, and optionally renames that identifier. Internal customer ID is never exposed or accepted.","operationId":"updateCustomerProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerUpdateProfileRequest"}}},"required":true},"responses":{"200":{"description":"Customer profile updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerUpdateProfileResponse"}}}}}}},"/v4/customer/proof-of-address":{"post":{"tags":["Customer"],"summary":"Service to validate proof of address document for customer.","description":"Service to validate proof of address document for customer.","operationId":"proofOfAddress","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProofOfAddressRequestV4"}}},"required":true},"responses":{"200":{"description":"Request processed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProofOfAddressResponseV4"}}}}}}},"/v4/customer/match-selfie-to-selfie":{"post":{"tags":["Customer"],"summary":"Service to validate match a selfie to the enrolled selfie sent in the request","description":"Capturing a selfie and match it against the enrolled selfie.","operationId":"matchSelfie","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerMatchSelfieToSelfieRequestV4"}}},"required":true},"responses":{"200":{"description":"Customer validated face matched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerMatchSelfieResponse"}}}}}}},"/v4/customer/match-id-face":{"post":{"tags":["Customer"],"summary":"Service to validate match a selfie to the ID","description":"Capturing a selfie and match it against the photo on the ID.","operationId":"matchIdFace","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerMatchIdFaceRequest"}}},"required":true},"responses":{"200":{"description":"Customer validated face matched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerMatchIdFaceResponse"}}}}}}},"/v4/customer/live-check":{"post":{"tags":["Customer"],"summary":"This service supports only liveness detection of selfie.","description":"Live Face Detection features the ability to perform of a liveness check of the photo image that is sent via API.","operationId":"liveCheck","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerLiveCheckRequest"}}},"required":true},"responses":{"200":{"description":"Posting of data successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerLiveCheckResponse"}}}}}}},"/v4/customer/identify":{"post":{"tags":["Customer"],"summary":"This service supports identifying the customer using biometrics.","description":"Capture biometric data for a Customer (face, fingerprint, voice or iris) and search the customer DB to see if its already enrolled.","operationId":"identify","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIdentifyRequest"}}},"required":true},"responses":{"200":{"description":"Posting of data successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerIdentifyResponse"}}}}}}},"/v4/customer/id-realcheck":{"post":{"tags":["Customer"],"summary":"This service supports only real detection of ID Image.","description":"This service supports only real detection of ID Image.","operationId":"realCheck","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerRealCheckRequestV4"}}},"required":true},"responses":{"200":{"description":"Posting of data successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerRealCheckResponseV4"}}}}}}},"/v4/customer/get-processed-data":{"post":{"tags":["Customer"],"summary":"Service supports retrieval of data of previously processed requests","description":"This service supports retrieval of data of previously processed requests. The service should return data only if processing is completed and if not then just return the status.","operationId":"getProcessedData","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProcessedDataRequest"}}},"required":true},"responses":{"200":{"description":"Customer request data retrieval successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProcessedDataResponse"}}}}}}},"/v4/customer/generate-identity-link":{"post":{"tags":["Customer"],"summary":"Service to generate identity link for enrollment or verification.","description":"This API can be used to generate the enrollment or verification link for Customers to complete the identity verification on their mobile device.","operationId":"generateEnrollLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerGenerateIdentityLinkRequest"}}},"required":true},"responses":{"200":{"description":"Enrollment link generated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerGenerateIdentityLinkResponse"}}}}}}},"/v4/customer/enroll":{"post":{"tags":["Customer"],"summary":"Service to validate and enroll a customer","description":"Capturing ID document(s), validate that ID and extract data from it. Additionally capture a selfie of the customer and match it against the photo on the ID, then enroll all captured biometrics with the customer if the match is positive.","operationId":"enroll","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerEnrollRequest"}}},"required":true},"responses":{"200":{"description":"Customer enrolled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerEnrollResponse"}}}}}}},"/v4/customer/enroll-biometrics":{"post":{"tags":["Customer"],"summary":"Service to enroll customer with biometrics","description":"Customer Data sent is enrolled with customer record and not processed.","operationId":"enrollBiometrics","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerEnrollBiometricsRequest"}}},"required":true},"responses":{"200":{"description":"Customer enrolled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerEnrollBiometricResponse"}}}}}}},"/v4/customer/decline-consent":{"post":{"tags":["Customer"],"summary":"Service to decline the consent to use the personal data","description":"Service to decline the consent to use the personal data.","operationId":"declineConsent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerDeclineConsentRequest"}}},"required":true},"responses":{"200":{"description":"Request processed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerDeclineConsentResponse"}}}}}}},"/v4/customer/create-verification-record":{"post":{"tags":["Customer"],"summary":"Service to create form record","description":"This API can be used to create form record","operationId":"createVerificationRecord","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateVerificationRecordRequestV4"}}},"required":true},"responses":{"200":{"description":"Form record created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateVerificationRecordResponseV4"}}}}}}},"/v4/customer/Autofill":{"post":{"tags":["Customer"],"summary":"Service to Autofill a customer","description":"Autofill Customer Data by using Id. ","operationId":"autofill","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerAutofillRequest"}}},"required":true},"responses":{"200":{"description":"Customer Autofill data successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerAutofillResponse"}}}}}}},"/v4/master/template-details":{"get":{"tags":["Master"],"summary":"Service to fetch the ID Template details.","description":"This API can be used to fetch the identity template details required for the native application.","operationId":"templateDetails","responses":{"200":{"description":"Request processed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDetailResponse"}}}}}}},"/v4/master/status-code-list":{"get":{"tags":["Master"],"summary":"Get a list of all Status Codes","description":"Get a list of all Status Codes along with description","operationId":"getStatusCodeList","responses":{"503":{"description":"IdMission Server is unavailable to process this request at this time. Please try later. If you continue to get this message for a prolonged period please contact support@idmission.com.","content":{"text/plain":{}}},"200":{"description":"List of Status Codes","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusCodeMaster"}}}},"400":{"description":"Bad Input request while trying to get list of Status Codes","content":{"text/plain":{}}},"500":{"description":"Error occured while trying to get list of Status Codes","content":{"text/plain":{}}}}}},"/v4/master/state-list":{"get":{"tags":["Master"],"summary":"Get a list of all ID States","description":"Get a list of all state codes used in the idState request field. The list also includes the country code and name for each state. This list will contain values for all supported countries, currently the US, Canada and Australia.","operationId":"getStateList","responses":{"503":{"description":"IdMission Server is unavailable to process this request at this time. Please try later. If you continue to get this message for a prolonged period please contact support@idmission.com.","content":{"text/plain":{}}},"400":{"description":"Bad Input request while trying to get list of all States","content":{"text/plain":{}}},"200":{"description":"List of States","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StateMasterVO"}}}},"500":{"description":"Error occured while trying to get list of all States","content":{"text/plain":{}}}}}},"/v4/master/state-list/{countryCode}":{"get":{"tags":["Master"],"summary":"Get a list of all ID States for a specific country","description":"Get a list of all state values used in the idState request field for a specific country only. The list also includes the country code and name for each state.","operationId":"getStateList_1","parameters":[{"name":"countryCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"503":{"description":"IdMission Server is unavailable to process this request at this time. Please try later. If you continue to get this message for a prolonged period please contact support@idmission.com.","content":{"text/plain":{}}},"200":{"description":"List of States","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StateMasterVO"}}}},"400":{"description":"Bad Input request while trying to get list of States for a given country","content":{"text/plain":{}}},"500":{"description":"Error occured while trying to get list of States for a given country","content":{"text/plain":{}}}}}},"/v4/master/id-list":{"get":{"tags":["Master"],"summary":"Get a list of all ID Types","description":"Get a list of all ID Type codes used in the idType field. The list also includes the description of each idType code.","operationId":"getIdTypeList","responses":{"503":{"description":"IdMission Server is unavailable to process this request at this time. Please try later. If you continue to get this message for a prolonged period please contact support@idmission.com.","content":{"text/plain":{}}},"500":{"description":"Error occured while trying to get list of Id Types","content":{"text/plain":{}}},"400":{"description":"Bad Input request while trying to get list of Id Types","content":{"text/plain":{}}},"200":{"description":"List of Id types","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdTypeMaster"}}}}}}},"/v4/master/country-list":{"get":{"tags":["Master"],"summary":"Get a list of all ID Countries","description":"Get a list of all country codes used in the idCountry field. This list also includes the name of each idCountry code.","operationId":"getCountryList","responses":{"503":{"description":"IdMission Server is unavailable to process this request at this time. Please try later. If you continue to get this message for a prolonged period please contact support@idmission.com.","content":{"text/plain":{}}},"500":{"description":"Error occured while trying to get list of Countries","content":{"text/plain":{}}},"200":{"description":"List of Countries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountryMaster"}}}},"400":{"description":"Bad Input request while trying to get list of Countries","content":{"text/plain":{}}}}}}},"components":{"schemas":{"policyAcceptanceDataFieldUserSchema":{"title":"PolicyAcceptanceData","type":"object","properties":{"BiometricTimestamp":{"type":"string","description":"Timestamp of acceptance of the biometric policy"},"BiometricURL":{"type":"string","description":"URL of the biometric policy that was accepted"},"PrivacyPolicyTimestamp":{"type":"string","description":"Timestamp of acceptance of the privacy policy"},"PrivacypolicyURL":{"type":"string","description":"URL of the privacy policy that was accepted"},"TermTimestamp":{"type":"string","description":"Timestamp of acceptance of the terms of service"},"TermsofserviceURL":{"type":"string","description":"URL of the terms of service that was accepted"}},"description":"PolicyAcceptanceData"},"TrainingModelDownloadDetails":{"required":["modelType"],"type":"object","properties":{"previousUniqueKeyId":{"type":"string","description":"Previous unique Key ID","example":"UNIQUE_KEY_ID_0000_20240000000"},"modelType":{"type":"string","description":"Model type to be downloaded  eg.   PassiveFaceTrainingModel,\n    FaceMaskTrainingModel,\n    FocusFaceTrainingModel,\n    EncDocDetectionTrainingModel,\n    IDCaptureTrainingModel,\n    FocusTrainingModel_448,\n    FPDetectionTrainingModel","example":"PassiveFaceTrainingModel"},"algorithm":{"type":"string","description":"Encryption algorithm","example":"AES/GCM/NoPadding","default":"AES/GCM/NoPadding"}}},"TrainingModelDownloadRq ":{"required":["modelTypes","uniqueKeyId"],"type":"object","properties":{"uniqueKeyId":{"type":"string","description":"Unique Key ID","example":"UNIQUE_KEY_ID_0000_20240000000"},"modelTypes":{"type":"array","items":{"$ref":"#/components/schemas/TrainingModelDownloadDetails"}}},"description":"Training model data download request"},"KeyInfo":{"type":"object","properties":{"previousUniqueKeyId":{"type":"string","description":"Previous unique Key ID","example":"UNIQUE_KEY_ID_0000_20240000000"},"previousPublicKeyId":{"type":"string","description":"Previous public key","example":"UNIQUE_KEY_ID_0000_20240000000"}}},"StatusData":{"type":"object","properties":{"statusCode":{"type":"string","description":"This includes the status code of the processing of the request from the server.\r\n- '000' - Form Submitted Successfully.\r\n- '400' - A bad request was received. Fix the request and try again.\r\n- '236' - Invalid login credentials for merchant.\r\n- '604' - Invalid login id or password.\r\n- '500' - Internal server error occured while processing.\r\n- '503' - IdMission server unavailable at this time.\r\n- '001' - Form already exist.\r\n- '307' - No customers found matching the search criteria. Please change your search criteria.\r\n- '3057' - You have exceeded the limit of forms.\r\n","example":"000"},"statusMessage":{"type":"string","description":"This includes the message which goes with the statusCode.","example":"Success"},"errorData":{"type":"string","description":"This contains any specific error messages that will be helpful in troubleshooting and error status codes."},"requestId":{"type":"integer","description":"This is a unique ID that is returned from the server for the submitted request.","format":"int64"},"traceId":{"type":"string","description":"This is a unique traceID that is returned from the server for the submitted request."},"ipAddress":{"type":"string","description":"This is a IP address of user who submitted form."}}},"TrainingModel":{"required":["modelType"],"type":"object","properties":{"modelType":{"type":"string","description":"Model type to be downloaded","example":"PassiveFaceTrainingModel"},"name":{"type":"string","description":"Name","example":"liveness-mobile-production"},"preSignedURL":{"type":"string","description":"Pre-signed URL"}},"description":"Training model details"},"TrainingModelDetails":{"type":"object","properties":{"keyInfo":{"$ref":"#/components/schemas/KeyInfo"},"trainingModel":{"$ref":"#/components/schemas/TrainingModel"}},"description":"Training model details"},"TrainingModelDownloadRs ":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/StatusData"},"publicKey":{"type":"string","description":"Public Key"},"modelTypes":{"type":"array","description":"Training model details","items":{"$ref":"#/components/schemas/TrainingModelDetails"}}},"description":"Training model data download response"},"InitializeRequest":{"type":"object","properties":{"applicationCode":{"type":"string","description":"Application Code.","enum":["SDK","API"],"default":"SDK"}}},"CompanyData":{"type":"object","properties":{"name":{"type":"string","description":"Company Name"},"companyId":{"type":"integer","description":"Company Id","format":"int32"},"merchantId":{"type":"integer","description":"Merchant Id","format":"int32"}}},"InitializeResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/StatusData"},"companyData":{"$ref":"#/components/schemas/CompanyData"},"appConfig":{"type":"object","additionalProperties":{"type":"string"}}}},"AdditionalCustomerCommonData":{"required":["uniqueRequestId"],"type":"object","properties":{"uniqueRequestId":{"maxLength":256,"type":"string","description":"Mandatory Unique Identifier generated by the client application that will be stored with the form and can be subsequently used to search form. This is required to be unique for each form and should have logic to ensure that. Recommendation is to include items such as the timestamp and Login ID. It can be as long as 256 characters.","example":"56975421474"},"verificationApprovalCode":{"maxLength":256,"type":"string","description":"Verification Approval Code.","example":"1234"},"clientRequestID":{"maxLength":256,"type":"string","description":"Client Request ID generated by client applicationIt can be as long as 256 characters.","example":"56975421474"},"stripSpecialCharacters":{"type":"string","description":"Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"Y","enum":["Y","N"]},"postDataAPIRequired":{"type":"string","description":"The POST Data API is triggered after the form reaches it final state and provides the final decision, extracted / corrected data. When this parameter is set to Y, it requires a URL to be set in Company Settings (if the same URL is to be always used) or a URL to be sent in the postDataAPIURL parameter. Valid values are:\r\n- Y : Post Data API will be triggered and sent to the configured or specified URL.\r\n- N : Post Data API will not be triggered.\r\n- Blank : Post Data API will not be triggered.","nullable":true,"example":"N","enum":["Y","N"]},"postDataAPIURL":{"type":"string","description":"If the postDataAPIRequired request parameter = Y, this field can be used to provide the URL that the postDataAPI webhook will be posted to. This will override any settings that are stored for the particular company the request is being submitted to.","example":""},"sendMetaDataInPost":{"type":"string","description":"If postDataAPIRequired request parameter = Y, this field can be used to send metadata in postDataAPI webhook. Valid values are:\r\n - Y :\r\n- N :","nullable":true,"example":"N","enum":["Y","N"]},"sendDecisionDetailsInPost":{"type":"string","description":"If postDataAPIRequired request parameter = Y, this field can be used to include the decision details breakdown (verificationResultDetails) in postDataAPI webhook. Valid values are:\r\n - Y :\r\n- N :","nullable":true,"example":"N","enum":["Y","N"]},"gpsCoordinates":{"type":"string","description":"Get location details in GPS Co-ordinate Format (Latitude & Longitude)."},"piiExclusion":{"type":"string","description":"PII_exclusion.","example":"Y"},"detectLabel":{"type":"string","description":"Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"N","enum":["Y","N"]},"detectClosedEyes":{"type":"string","description":"Eye close detection. Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"Y","enum":["Y","N"]},"sendDocumentIdInResponse":{"type":"string","description":"Returns document URN instead of Base64 data in response. Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"N","enum":["Y","N"]}}},"AdditionalDocumentsRequest":{"required":["additionalDocument","documentName"],"type":"object","properties":{"documentName":{"type":"string","description":"Input field identifying the type of document. Utility bill or invoice are acceptable."},"additionalDocument":{"type":"string","description":"Base64 of the document provided for proof of address processing.file format which are allowed :jpeg,png,mp4,pdf"}}},"BiometricVerifyRequestData":{"type":"object","properties":{"selfie":{"type":"string","description":"This should contain base64 data of the customer photo/selfie. It accepts base64 data of a single customer photo.\r\n Note: One customer biometric is mandatory (Selfie, Fingerprint, or Voice) for verification. \r\n\nSelfie image parameters: 2 inch 900x900 portrait orientation with selfie centered in the image focused on head and shoulders with adequate lighting and contrast. The top of the forehead to the chin must be 70-80% of the photo. The eyes must be clearly visible with no head coverings obscuring the face.","format":"Base64"},"fingerPrintData":{"$ref":"#/components/schemas/FingerPrintData"},"voiceData":{"type":"string","description":"This should contain base64 data of the Customer Voice Data. It accepts base64 data. Note: One customer biometric is mandatory (Selfie, Fingerprint, or Voice).","format":"Base64"},"videoData":{"type":"string","description":"This should contain base64 data of the Customer Video Data. It accepts base64 data.","format":"Base64"}}},"ConsentData":{"type":"object","properties":{"consentAccepted":{"type":"string","description":"* Y - Consent is accepted. * N - Consent is not accepted.","nullable":true,"example":"Y","enum":["Y","N"]},"consentAcceptedTimestamp":{"type":"string","description":"Consent accepted timestamp.","nullable":true,"example":"01/12/2023 17:00:00"}}},"CustomerVerifyDataRequest":{"required":["biometricData","idData","personalData"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer Id to verify customer. "},"idData":{"$ref":"#/components/schemas/IdDataVerifyRequest"},"personalData":{"$ref":"#/components/schemas/PersonalCustomerVerifyData"},"signatureData":{"$ref":"#/components/schemas/SignatureData"},"additionalDocuments":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalDocumentsRequest"}},"policyAcceptanceData":{"$ref":"#/components/schemas/policyAcceptanceDataFieldUserSchema"},"consentData":{"$ref":"#/components/schemas/ConsentData"},"biometricData":{"$ref":"#/components/schemas/BiometricVerifyRequestData"}}},"CustomerVerifyRequest":{"required":["additionalData","customerData"],"type":"object","properties":{"customerData":{"$ref":"#/components/schemas/CustomerVerifyDataRequest"},"additionalData":{"$ref":"#/components/schemas/AdditionalCustomerCommonData"},"companyData":{"$ref":"#/components/schemas/EmployeeData"}}},"EmployeeData":{"type":"object","properties":{"companyId":{"type":"integer","description":"A Company ID is the unique identifier used for the enrollment of the customer.","format":"int64","example":12345}}},"FingerPrint":{"required":["fpData","fpPosition"],"type":"object","properties":{"fpData":{"type":"string","description":"Base64 finger print data.","format":"Base64"},"fpPosition":{"type":"string","description":"This is the code value for finger position. Valid values are:\r\n- RIFINGER - Right Index Finger.\r\n- RMFINGER - Right Middle Finger.\r\n- RRFINGER - Right Ring Finger.\r\n- RLFINGER - Right L Finger.\r\n- RTHUMB - Right Thumb.\r\n- LIFINGER - Left Index Finger.\r\n- LMFINGER - Left Middle Finger.\r\n- LRFINGER - Left Ring Finger.\r\n- LLFINGER - Left L Finger.\r\n- LTHUMB - Left Thumb.\r\n- LEFT_FOUR_FINGER - Left Four Fingers.\r\n- RIGHT_FOUR_FINGER - Right Four Fingers.\r\n- TWO_THUMB - Two Thumbs.\r\n- UNKNOWN - Unkonwn Finger Position. ","example":"LTHUMB"},"imageHashValue":{"type":"string"},"nfiq":{"type":"string"}}},"FingerPrintData":{"required":["fingerPrints","metadata"],"type":"object","properties":{"fingerPrints":{"type":"array","items":{"$ref":"#/components/schemas/FingerPrint"}},"metadata":{"$ref":"#/components/schemas/FingerPrintMetadata"}},"description":"This should contain base64 data of the Customer's fingerprint data. It accepts base64 data.\r\nNote: One customer biometric is mandatory (Selfie, Fingerprint, or Voice)."},"FingerPrintMetadata":{"required":["format"],"type":"object","properties":{"format":{"type":"string","description":"This is the code value of finger print format being submitted. Valid values are:\r\n- JPEG\r\n- WSQ\r\n- ISO ","example":"JPEG"},"model":{"type":"string"},"serialNumber":{"type":"string"},"backgroundColor":{"type":"string"}}},"IdDataVerifyRequest":{"type":"object","properties":{"idNumber":{"type":"string","description":"ID Number.","example":"123456"},"idNumber2":{"type":"string","description":"ID Number.","example":"123456"},"issueDate":{"type":"string","description":"ID Issue Date. Date will be formatted as dd/mm/yyyy format.","format":"DD/MM/YYYY","example":"31/12/2019"},"expDate":{"type":"string","description":"ID Expiration Date. Date will be formatted as dd/mm/yyyy format.","format":"DD/MM/YYYY","example":"31/12/2019"}}},"PersonalCustomerVerifyData":{"required":["uniqueNumber"],"type":"object","properties":{"uniqueNumber":{"maxLength":45,"type":"string","description":"This is a unique number that will be associated with the customer when enrolling or when performing future verifications.","example":"12345"}}},"SignatureData":{"type":"object","properties":{"signatureImage":{"type":"string","description":"Signature of the customer. This should contain base64 Signature data.","format":"Base64"}}},"CustomerVerifyDataResponse":{"type":"object","properties":{"extractedPersonalData":{"$ref":"#/components/schemas/PersonalCustomerVerifyResponseData"}}},"CustomerVerifyResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/StatusData"},"resultData":{"$ref":"#/components/schemas/FormDetailVerifyResponseData"},"responseCustomerVerifyData":{"$ref":"#/components/schemas/CustomerVerifyDataResponse"}}},"FormDetailVerifyResponseData":{"type":"object","properties":{"uniqueRequestId":{"maxLength":256,"type":"string","description":"This is the unique key that is echoed back from the request.","example":"56975421474"},"verificationResultId":{"type":"integer","description":"This is the unique Form ID that is generated on the IDmission server for each unique request.","format":"int64","example":1234},"verificationResultDetails":{"type":"object","description":"**Decision_{DecisionName} – this is a repeating node for each applicable decision and the DecisionName label will vary indicating the decision category from validation processing.**\n\n**{**\n\n**DecisionStateCode - Different decision state codes will be returned back based on the servers evaluation of the request. Please refer /master/status-code-list which represents all possible values as the statusCode.**\n\n**DecisionResult - This is the result state of the submission. Please refer /master/status-code-list which represents all possible values shown in the statusCodeDescription for failed decisions. When a decision rule passes, the DecisionResult value will always be \"OK\".**\n\n**}**"},"verificationResult":{"type":"string","description":"This is the result state of the submission. Expected values are:\r\n- Approved : When the customer got verified with the face/voice/FP Data.\r\n- Customer Not Found - When the customer is not verified with with the face/voice/FP Data."},"verificationResultCode":{"type":"string","description":"Different status codes will be returned back based on the servers evaluation of the request. Please refer /master/status-code-list which represents all of the values for the Form Create / Form Search APIs."},"faceMask":{"type":"string","description":"If a face mask is detected in the image, the value will be true, else false."},"faceMaskScore":{"type":"number","description":"Score associated with the face mask detection. Value range from 0 to 1, 1 being the highest.","format":"double"},"liveFace":{"type":"string","description":"If a live face is detected in the image(s), the value will be true, else false."},"realScore":{"type":"number","description":"Score associated with the face liveness. Value range from 0 to 1, 1 being the highest.","format":"double"},"headCovering":{"type":"string","description":"If a head covering is detected in the image, the value will be true, else false."},"headCoveringScore":{"type":"number","description":"Score associated with the head covering detection. Value range from 0 to 1, 1 being the highest.","format":"double"},"eyeCovering":{"type":"string","description":"If any eye covering is detected in the image (e.g. glasses, specticles, patches), the value will be true, else false."},"eyeCoveringScore":{"type":"number","description":"Score associated with the eye covering detection. Value range from 0 to 1, 1 being the highest.","format":"double"},"cellPhone":{"type":"string","description":"If a cell phone is detected in the image, the value will be true, else false."},"cellPhoneScore":{"type":"number","description":"Score associated with the cell phone detection. Value range from 0 to 1, 1 being the highest.","format":"double"},"estimatedAge":{"type":"integer","description":"Estimated age of a subject based on the evaluation of their facial biometrics.","format":"int32"},"predicatedGender":{"type":"string","description":"Predicted gender of a subject based on the evaluation of their facial biometrics."},"closedEyes":{"type":"boolean","description":"If closed eyes detected in the image. the value will be true, else false."}}},"PersonalCustomerVerifyResponseData":{"type":"object","properties":{"uniqueNumber":{"maxLength":45,"type":"string","description":"This is a unique number that will be associated with the customer when enrolled or when performing future verifications.","example":"12345"},"name":{"type":"string","description":"Name of the customer.","example":"John Doe"},"email":{"type":"string","description":"Email address of the customer. Optional for any service.","format":"email","example":"someone@company.com"},"dob":{"type":"string","description":"Date of birth of the customer. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"gender":{"type":"string","description":"Gender of the customer. Valid values are M and F.","example":"M"},"address":{"type":"string","description":"Address of the customer.","example":"120 Main Street"},"addressLine1":{"type":"string","description":"Address Line1 of the customer.","example":"123 Main Street"},"addressLine2":{"type":"string","description":"Address Line2 of the customer.","example":"Company Name"},"addressLine3":{"type":"string","description":"Address Line3 of the customer.","example":"121 Main Street"},"city":{"type":"string","description":"City address of the customer.","example":"San Francisco"},"country":{"maxLength":3,"minLength":3,"type":"string","description":"Country associated with the Customer.","example":"USA"},"state":{"type":"string","description":"2 digit state code from the address of the customer.","example":"String"},"postalCode":{"type":"string","description":"Postal Code from the address of the customer.","example":"123456"},"eyeColor":{"type":"string","description":"eyeColor extracted from the ID."},"hairColor":{"type":"string","description":"hairColor extracted from the ID."},"height":{"type":"string","description":"height extracted from the ID."},"weight":{"type":"string","description":"weight extracted from the ID."},"parish":{"type":"string","description":"parish extracted from the ID."},"phone":{"type":"string","description":"Phone Number of the customer.","example":"1234567890"},"district":{"type":"string","description":"District address of the customer.","example":"CA"},"enrolledDate":{"type":"string","description":"Enrolled date of the customer. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"customerCode":{"type":"string","description":"Unique identifier that is system-generated when an enrollment has been successfully completed. ","example":"123456"},"selfieImage":{"type":"string","description":"Selfie image of the customer. This should contain base64 data of customer photo."}}},"AdditionalCustomerFlagCommonData":{"required":["uniqueRequestId"],"type":"object","properties":{"uniqueRequestId":{"maxLength":256,"type":"string","description":"Mandatory Unique Identifier generated by the client application that will be stored with the form and can be subsequently used to search form. This is required to be unique for each form and should have logic to ensure that. Recommendation is to include items such as the timestamp and Login ID. It can be as long as 256 characters.","example":"56975421474"},"clientRequestID":{"maxLength":256,"type":"string","description":"Client Request ID generated by client applicationIt can be as long as 256 characters.","example":"56975421474"},"manualReviewRequired":{"type":"string","description":"Valid values are:\r\n- Y IDmission’s ID Verification Team will perform a manual review of the submitted form in the event it is not auto-decisioned.\r\n- N The system will auto-decision the submitted form and it will not be manually reviewed.\r\n- F Forced Manual Review.","example":"N","enum":["Y","N","F"]},"bypassAgeValidation":{"type":"string","description":"Valid values are:\r\n- Y : The system will NOT validate that the age of the individual based on the date of birth and current date is 18 or older.\r\n- N : The system will confirm that the age of the individual based on the date of birth and current date is 18 or older.","example":"N","enum":["Y","N"]},"deDuplicationRequired":{"type":"string","description":"Valid values are:\r\n- Y : If deduplication is to be performed against the enrolled customer’s face image.\r\n- N : If deduplication is not to be executed against the enrolled customer’s face image.","example":"N","enum":["Y","N"]},"postDataAPIRequired":{"type":"string","description":"The POST Data API is triggered after the form reaches it final state and provides the final decision, extracted / corrected data. When this parameter is set to Y, it requires a URL to be set in Company Settings (if the same URL is to be always used) or a URL to be sent in the postDataAPIURL parameter. Valid values are:\r\n- Y : Post Data API will be triggered and sent to the configured or specified URL.\r\n- N : Post Data API will not be triggered.\r\n- Blank : Post Data API will not be triggered.","nullable":true,"example":"N","enum":["Y","N"]},"postDataAPIURL":{"type":"string","description":"If the postDataAPIRequired request parameter = Y, this field can be used to provide the URL that the postDataAPI webhook will be posted to. This will override any settings that are stored for the particular company the request is being submitted to.","example":""},"sendMetaDataInPost":{"type":"string","description":"If postDataAPIRequired request parameter = Y, this field can be used to send metadata in postDataAPI webhook. Valid values are:\r\n - Y :\r\n- N :","nullable":true,"example":"N","enum":["Y","N"]},"sendDecisionDetailsInPost":{"type":"string","description":"If postDataAPIRequired request parameter = Y, this field can be used to include the decision details breakdown (verificationResultDetails) in postDataAPI webhook. Valid values are:\r\n - Y :\r\n- N :","nullable":true,"example":"N","enum":["Y","N"]},"sendInputImagesInPost":{"type":"string","description":"Used only when the POST_DATA API flag = Y.  Valid values are:\r\n- Y: We will send the input images (ID Front/ID Back/Customer Selfie) in the POST_API.\r\n- N:No input images will be sent in the POST_API.\r\n- Blank: No input images will be sent in the POST_API.","nullable":true,"example":"N","enum":["Y","N"]},"sendProcessedImagesInPost":{"type":"string","description":"Used only when the POST_DATA API flag = Y. Valid values are:\r\n- Y : We will send the processed images (ID front/ID back which have been cropped/marked up with security features, etc.) in POST_API.\r\n- N : No processed images will be sent in the POST_API.\r\n- Blank : No processed images will be sent in the POST_API.","nullable":true,"example":"N","enum":["Y","N"]},"needImmediateResponse":{"type":"string","description":"Valid values are:\r\n- Y : If the submitting system requires an immediate response back to the request.\r\n- N : The system will execute synchronous calls based on the service IDs used in the request.","nullable":true,"example":"N","enum":["Y","N"]},"deduplicationSynchronous":{"type":"string","description":"Valid values are:\r\n- Y : If deduplication is to be performed synchronously against the enrolled customer’s face image .\r\n- N : If deduplication is not to be executed against the enrolled customer’s face image.","nullable":true,"example":"N","enum":["Y","N"]},"verifyDataWithHost":{"type":"string","description":"Valid values are:\r\n- Y : It will verify the customer data with the data returned back from the host.\r\n- N : It will not verify the customer data with host data.","nullable":true,"example":"N","enum":["Y","N"]},"idBackImageRequired":{"type":"string","description":"Valid values are:\r\n- Y : ID Back is mandatory for all ID types where Back is present and will be processed along with the front of the ID.\r\n- N : ID Back is not required and will not be considered in ID validation processing when not provided.","nullable":true,"example":"Y","enum":["Y","N"]},"stripSpecialCharacters":{"type":"string","description":"Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"Y","enum":["Y","N"]},"idImageResolutionCheck":{"type":"string","description":"Valid values are:\r\n- Y : Validates the minimum resolution required for ID Documents provided in requests. \r\n- N : Skip the validation of minimum resolution required for ID Documents provided in requests.","example":"Y"},"deDupDataRequiredInResponse":{"type":"string","description":"Valid values are:\r\n- Y : If deduplication data required in response.- N : If deduplication not required in response.","nullable":true,"example":"Y","enum":["Y","N"]},"deDupManualReviewRequired":{"type":"string","description":"Valid values are:\r\n- Y : If manual review required for deduplication result.\r\n- N : If manual review not required for deduplication result.","example":"Y","enum":["Y","N"]},"postDataOnReviewRequired":{"type":"string","description":"The POST Data API is triggered if a form is sent for manual review, to notify you of the review status and include any auto-extracted data. When this parameter is set to Y, it requires a URL to be set in Company Settings (if the same URL is to be always used) or a URL to be sent in the postDataOnReviewAPIURL parameter.","example":"N","enum":["Y","N"]},"postDataOnReviewAPIURL":{"type":"string","description":"If the postDataOnReviewRequired request parameter = Y, this field can be used to provide the URL that postDataOnReview webhook will be posted to. This will override any settings that are stored for the particular company the request is being submitted to.","example":""},"paymentGateway":{"type":"string","description":"Payment Processing Gateway.","example":"Apriva/FREEDOMPAY"},"gpsCoordinates":{"type":"string","description":"Get location details in GPS Co-ordinate Format (Latitude & Longitude)."},"piiExclusion":{"type":"string","description":"PII_exclusion.","example":"N"},"detectLiveness":{"type":"string","description":"* Y - Check liveness of the Face Image. * N - Do not check liveness of the Face Image. This field will be deprecated in future versions.","example":"Y","enum":["Y","N"]},"advancedTamperDetection":{"type":"string","description":"* Y - Check advanced tamper detection of the ID image.","nullable":true,"example":"N","enum":["Y","N"],"default":"N"},"detectLabel":{"type":"string","description":"Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"N","enum":["Y","N"]},"detectClosedEyes":{"type":"string","description":"Eye close detection. Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"Y","enum":["Y","N"]},"sendSignatureFromIdInResponse":{"type":"string","description":"Returns signature from ID in response. Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"N","enum":["Y","N"]},"sendDocumentIdInResponse":{"type":"string","description":"Returns urn for documents instead of Base64 data in response. Valid values are:\r\n- Y : \r\n- N : ","nullable":true,"example":"N","enum":["Y","N"]},"agentCountry":{"type":"string"},"posTransactionDateTime":{"type":"string"},"subDocType":{"type":"string"},"transactionType":{"type":"string"},"channel":{"type":"string"},"requestSource":{"type":"string"},"customerDataMatchConfig":{"$ref":"#/components/schemas/CustomerDataMatchConfig"}}},"AdditionalDocuments":{"required":["additionalDocument","documentName"],"type":"object","properties":{"documentName":{"type":"string","description":"Input field identifying the type of document. Utility bill or invoice are acceptable."},"additionalDocument":{"type":"string","description":"Base64 of the document provided for proof of address processing.file format which are allowed :jpeg,png,mp4,pdf"},"processAsPOA":{"type":"string","description":"processAsPOA field indicate if any of the additional documents that are being collected need to be processed so OCR extraction can be performed.\r\n\r\nValid values are:\r\n- Y : Process document as POA.\r\n- N : Skip process as POA.","example":"N"},"analysePOA":{"type":"string","description":"analysePOA field indicate if any of the additional documents that are being collected need to be analysed.\r\n\r\nValid values are:\r\n- Y : Analyse POA document.\r\n- N : Skip POA analysis.","example":"N"},"documentType":{"type":"string","description":"Type of document.\r\n\r\nValid values are:\r\n- Utility : Utility bill.\r\n- BankStatement : Bank statement.","enum":["Utility","BankStatement"]}}},"BiometricDataValidateId":{"type":"object","properties":{"fingerPrintData":{"$ref":"#/components/schemas/FingerPrintData"},"voiceData":{"type":"string","description":"This should contain base64 data of the Customer Voice Data. It accepts base64 data.","format":"Base64"},"videoData":{"type":"string","description":"This should contain base64 data of the Customer Video Data. It accepts base64 data.","format":"Base64"},"voiceStartTime":{"type":"integer","description":"Audio/Speech capture start time.","format":"int64"},"expectedAudioText":{"type":"string","description":"This should contain base64 data of the Customer expected audio text. It accepts base64 data.","format":"Base64"},"nfcSelfie":{"type":"string","description":"This should contain base64 data of the customer selfie extracted from the NFC chip of the ID document. It accepts base64 data.","format":"Base64"}}},"CustomerDataMatchConfig":{"type":"object","properties":{"idNumberMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the idNumber submitted in the request against the idNumber extracted from the ID Document.\r\n- N : The system will NOT match the idNumber submitted in the request against the idNumber extracted from the ID Document.\r\n- E : The system will do an exact match between the idNumber submitted in the request against the idNumber extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"idNumberMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"idNumberMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"80"},"dateOfBirthMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the dob submitted in the request against the idDateOfBirth extracted from the ID Document.\r\n- N : The system will NOT match the dob submitted in the request against the idDateOfBirth extracted from the ID Document.\r\n- E : The system will do an exact match between the dob submitted in the request against the idDateOfBirth extracted from the ID Document RECOMMEND using E for dateOfBirth matching.\n","example":"N","enum":["Y","N","E"]},"dateOfBirthMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"dateOfBirthMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"80"},"expiryDateMatch":{"type":"string","description":"Valid values are:\r\n- Y :  The system will do a fuzzy match between the expDate submitted in the request against the idExpirationDate extracted from the ID Document.\r\n- N :  The system will NOT match the expDate submitted in the request against the idExpirationDate extracted from the ID Document.\r\n- E :  The system will do an exact match between the expDate submitted in the request against the idExpirationDate extracted from the ID Document RECOMMEND using E for expiryDate matching.","example":"N","enum":["Y","N","E"]},"expiryDateMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"expiryDateMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"90"},"nameMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the name submitted in the request against the name extracted from the ID Document.\r\n- N : The system will NOT match the name submitted in the request against the name extracted from the ID Document.\r\n- E : The system will do an exact match between the name submitted in the request against the name extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"nameMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"nameMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"70"},"firstNameMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the firstName submitted in the request against the firstName extracted from the ID Document.\r\n- N : The system will NOT match the firstName submitted in the request against the firstName extracted from the ID Document.\r\n- E : The system will do an exact match between the firstName submitted in the request against the firstName extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"firstNameMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"firstNameMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"70"},"middleNameMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the middleName submitted in the request against the middleName extracted from the ID Document.\r\n- N : The system will NOT match the middleName submitted in the request against the middleName extracted from the ID Document.\r\n- E : The system will do an exact match between the middleName submitted in the request against the middleName extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"middleNameMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"middleNameMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"15"},"lastNameMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the lastName submitted in the request against the lastName extracted from the ID Document.\r\n- N : The system will NOT match the lastName submitted in the request against the lastName extracted from the ID Document.\r\n- E : The system will do an exact match between the lastName submitted in the request against the lastName extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"lastNameMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"]},"lastNameMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"90"},"addressMatch":{"type":"string","description":"Valid values are:\r\n- Y : The system will do a fuzzy match between the address submitted in the request against the address extracted from the ID Document.\r\n- N : The system will NOT match the address submitted in the request against the address extracted from the ID Document.\r\n- E : The system will do an exact match between the address submitted in the request against the address extracted from the ID Document.","example":"N","enum":["Y","N","E"]},"addressMatchAlgorithm":{"type":"string","description":"This can be optionally provided to indicate the specific text matching algorithm that will be used for matching.\n\nValid values are:\r\n- NM : Needleman Wunsch\r\n- LV : Levenshtein Distance\r\n- JW : Jaro Winkler Distance","example":"JW","enum":["NM","LV","JW"],"default":"JW"},"addressMatchThreshold":{"type":"string","description":"This can be optionally provided to indicate the threshold to be used for the algorithm provided. This can be any number from 0-100, 0 being no match and 100 being an exact match. If this is not provided, the defaults defined in IDmission's platform for the algorithm provided will be used.","example":"70","default":"70"}}},"CustomerValidateIdDataRequest":{"required":["biometricData","idData"],"type":"object","properties":{"idData":{"$ref":"#/components/schemas/IdDataRequest"},"personalData":{"$ref":"#/components/schemas/PersonalDataRequest"},"signatureData":{"$ref":"#/components/schemas/SignatureDataRequest"},"additionalDocuments":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalDocuments"}},"policyAcceptanceData":{"$ref":"#/components/schemas/policyAcceptanceDataFieldUserSchema"},"biometricData":{"$ref":"#/components/schemas/BiometricDataValidateId"}}},"CustomerValidateIdRequest":{"required":["additionalData","customerData"],"type":"object","properties":{"customerData":{"$ref":"#/components/schemas/CustomerValidateIdDataRequest"},"additionalData":{"$ref":"#/components/schemas/AdditionalCustomerFlagCommonData"}}},"IdDataRequest":{"required":["idCountry","idImageFront","idType"],"type":"object","properties":{"idType":{"type":"string","description":"This is the code value of the ID type being submitted. Valid values are:\r\n- BC - for Bank Card.\n- BID - for Boat/Ship ID Card.\n- DL - for Drivers License.\n- GE - for Global Entry Card.\n- GID - for Military/Police/Government ID.\n- HID - for Health ID Card.\n- NID - for National ID.\n- OTH - for Others.\n- PID - for Photo ID Card.\n- PP - for Passport.\n- PPA - for Passport Address.\n- PPC - for Passport Card.\n- RID - for Residence Card.\n- SV - for Student VISA/Permit.\n- TD - for Travel Document.\n- TID - for Tax ID Card.\n- UNR - for United Nation Refugee Card.\n- VID - for Voter ID Card.\n- WV - for Work VISA/Permit.\n- NSP - Not Specified. The ID Type will be determined during processing.","example":"PP"},"idCountry":{"maxLength":3,"minLength":3,"type":"string","description":"This is the 3 digit ISO Country Code.","example":"IND"},"idState":{"maxLength":3,"minLength":2,"type":"string","description":"To help with targeting matching, recommended to be sent when the idCountry equals USA, CAN or AUS and idType equals PID or DL.","example":"CA"},"idImageFront":{"type":"string","description":"This should contain base64 data of the ID front image. \r\nMax allowed upload size is 5MB. Minimum resolution required is 800X600.","format":"Base64"},"idImageBack":{"type":"string","description":"This should contain base64 data of the ID front image. \r\nMax allowed upload size is 5MB. Minimum resolution required is 800X600.","format":"Base64"},"idBarcodeImage":{"type":"string","description":"This should contain base64 data of the ID BarCode image. \r\nMax allowed upload size is 5MB.","format":"Base64"},"idNumber":{"type":"string","description":"ID Number.","example":"123456"},"idNumber2":{"type":"string","description":"ID Number.","example":"123456"},"issueDate":{"type":"string","description":"ID Issue Date. Date will be formatted as dd/mm/yyyy format.","format":"DD/MM/YYYY","example":"31/12/2019"},"expDate":{"type":"string","description":"ID Expiration Date. Date will be formatted as dd/mm/yyyy format.","format":"DD/MM/YYYY","example":"31/12/2019"},"videoIdImageFront":{"type":"string","description":"This should contain base64 data of the Customer id Front Video Data. It accepts base64 data.","format":"Base64"},"videoIdImageBack":{"type":"string","description":"This should contain base64 data of the Customer id back Video Data. It accepts base64 data.","format":"Base64"},"idFrontIrImage":{"type":"string","description":"This should contain base64 data of the Customer id front IR image. It accepts base64 data.","format":"Base64"},"idBackIrImage":{"type":"string","description":"This should contain base64 data of the Customer id back IR image. It accepts base64 data.","format":"Base64"},"idFrontUvImage":{"type":"string","description":"This should contain base64 data of the Customer id front UV image. It accepts base64 data.","format":"Base64"},"idBackUvImage":{"type":"string","description":"This should contain base64 data of the Customer id back UV image. It accepts base64 data.","format":"Base64"}}},"PersonalDataRequest":{"type":"object","properties":{"uniqueNumber":{"maxLength":45,"type":"string","description":"This is a unique number that will be associated with the customer when enrolled or when performing future verifications.","example":"12345"},"name":{"type":"string","description":"Name of the customer, can be optionally provided for any Service.","example":"John Allen Doe"},"firstName":{"type":"string","description":"First name of the customer, can be optionally provided for any Service.","example":"John"},"middleName":{"type":"string","description":"Middle name of the customer, can be optionally provided for any Service.","example":"Allen"},"lastName":{"type":"string","description":"Last name of the customer, can be optionally provided for any Service.","example":"Doe"},"phone":{"type":"string","description":"Phone Number of the customer.","example":"1234567890"},"phoneCountryCode":{"type":"string","description":"Phone Number country code of the customer."},"email":{"type":"string","description":"Email address of the Customer, can be optionally provided for any Service.","format":"email","example":"someone@company.com"},"dob":{"type":"string","description":"Date of birth of the customer, can be optionally provided for any Service.","format":"DD/MM/YYYY","example":"31/12/2019"},"gender":{"type":"string","description":"Gender of the Customer, can be optionally provided for any Service. Valid values are: F or M .","example":"M"},"addressLine1":{"type":"string","description":"Address Line 1 for the Customer, can be optionally provided for any Service.","example":"123 Main Street"},"addressLine2":{"type":"string","description":"Address Line 2 for the Customer, can be optionally provided for any Service.","example":"Company Name"},"city":{"type":"string","description":"City address of the Customer, can be optionally provided for any Service.","example":"San Francisco"},"district":{"type":"string","description":"District address of the Customer, can be optionally provided for any Service.","example":"CA"},"postalCode":{"type":"string","description":"Postal Code of the Customer, can be optionally provided for any Service.","example":"123456"},"country":{"maxLength":3,"minLength":3,"type":"string","description":"Country associated with the Customer, can be optionally provided for any Service. This must be the 3 digit ISO Country Code.","example":"USA"}}},"SignatureDataRequest":{"type":"object","properties":{"signatureImage":{"type":"string","description":"Signature of the customer. This should contain base64 Signature data.","format":"Base64"},"signatureVideo":{"type":"string","description":"This should contain base64 data of the Customer Signature Video Data. It accepts base64 data.","format":"Base64"},"nfcSignature":{"type":"string","description":"This should contain base64 data of the Customer Signature extracted from the NFC chip of the ID document. It accepts base64 data.","format":"Base64"}}},"CriminalAliasesResult":{"type":"object","properties":{"firstName":{"type":"string","description":"First Name of customer.","example":"John"},"middleName":{"type":"string","description":"Middle name of customer.","example":"James"},"lastName":{"type":"string","description":"Last name of customer.","example":"Dae"},"fullName":{"type":"string","description":"Full name of customer.","example":"John Dae"}}},"CriminalOffensesResult":{"type":"object","properties":{"title":{"type":"string","description":"This field is used to store title of offense."},"code":{"type":"string","description":"This field is used to store code of offense."},"section":{"type":"string","description":"This field is used to store section of offense."},"description":{"type":"string","description":"This field is used to store description of criminal offense.","example":"First-degree driving while impaired."},"caseNumber":{"type":"string","description":"This field is used to store case number of criminal record offense.","example":"1984CR 042193"},"jurisdication":{"type":"string","description":"This field is used to store Juridiction.","example":"Indian River"},"ageOfVictim":{"type":"string","description":"This field is used to store age of the victim.","example":"23"},"addmissionDate":{"type":"string","description":"Addmission date of criminal offense.","example":"01/01/2021"},"arrestingAgency":{"type":"string","description":"This field is used to store Arresting Agency.","example":"Statute: U."},"category":{"type":"string","description":"Category of criminal offense."},"chargeFillingDate":{"type":"string","description":"Charge filling date of criminal offense.","example":"01/01/2021"},"closedDate":{"type":"string","description":"Close date of criminal offense.","example":"01/01/2021"},"counts":{"type":"string","description":"Counts of criminal offense."},"courts":{"type":"string","description":"Courts of criminal offense.","example":"01/01/2021"},"dateConvicted":{"type":"string","description":"Convicted date of criminal offense.","example":"01/01/2021"},"dateOfCrime":{"type":"string","description":"Date of crime of criminal offense.","example":"01/01/2021"},"dateOfWarrant":{"type":"string","description":"Date of warrant of criminal offense.","example":"01/01/2021"},"dispostion":{"type":"string","description":"Dispostion of criminal offense.","example":"CONV-310-Convicted"},"dispositionDate":{"type":"string","description":"Date of disposotion of criminal offense.","example":"01/01/2021"},"facility":{"type":"string","description":"Facility of criminal offense."},"prisonerNumber":{"type":"string","description":"Prisioner number of criminal offense."},"relationshipToVictim":{"type":"string","description":"Relationship to victim of criminal offense."},"releaseDate":{"type":"string","description":"This field is used to store Release Date.","example":"01/01/2021"},"sentence":{"type":"string","description":"Sentence of criminal offense."},"sentenceDate":{"type":"string","description":"This field is used to store sentence date.","example":"01/01/2021"},"subsection":{"type":"string","description":"Subsection of criminal offense."},"warrantDate":{"type":"string","description":"Date of warrant of criminal offense.","example":"01/01/2021"},"warrantNumber":{"type":"string","description":"Warrant number of criminal offense."},"weaponsUsed":{"type":"string","description":"This is used to store weapons used."}}},"CriminalProfileResult":{"type":"object","properties":{"internalId":{"type":"string","description":"This is internal id that is returned in the response.","example":"IL1234"},"firstName":{"type":"string","description":"First Name of the customer.","example":"JOHN"},"middleName":{"type":"string","description":"Middle name of the customer.","example":"JAMES"},"lastName":{"type":"string","description":"Last name of the customer.","example":"DOE"},"dobOfBirth":{"type":"string","description":"Date of birth of the customer formated in DD/MM/YYYY .","example":"01/01/2022"},"sex":{"type":"string","description":"Gender of the customer.","example":"Male"},"address":{"type":"string","description":"Adress of the customer.","example":"Street Velly"},"countryName":{"type":"string","description":"Country name of the customer.","example":"India"},"countryCode":{"type":"string","description":"Country code of the customer.","example":"IND01"},"street1":{"type":"string","description":"Address street 1 of the customer.","example":"123 MAIN ST"},"street2":{"type":"string","description":"Address street 2 of the customer.","example":"124 MAIN ST"},"city":{"type":"string","description":"This is used to store city name.","example":"Pune"},"state":{"type":"string","description":"This is used to store state name.","example":"Maharashtra"},"postalCode":{"type":"string","description":"This is used to store pin code.","example":"403702"},"country":{"type":"string","description":"This field is used to store country name.","example":"India"},"convictionType":{"type":"string","description":"Conviction Type of the customer.","example":"Other Offense"},"photoUrl":{"type":"string","description":"Photo url of the customer.","example":"Other Offense"},"source":{"type":"string","description":"Source of the customer.","example":"Other Offense"},"verificationResult":{"type":"string","description":"Verification result of the customer.","example":"Verfied"},"drivingLicenseVerificationResult":{"type":"string","description":"Driving License verification result of the customer."},"fullName":{"type":"string","description":"Full Name of the customer.","example":"John Doe"},"internalIdCriminalRecords":{"type":"string","description":"This is internal id of Criminal records."}}},"CriminalRecordResult":{"type":"object","properties":{"profiles":{"type":"array","items":{"$ref":"#/components/schemas/CriminalProfileResult"}},"offenses":{"type":"array","items":{"$ref":"#/components/schemas/CriminalOffensesResult"}},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CriminalAliasesResult"}}}},"CustomerDataMatchResultV4":{"type":"object","properties":{"idNumberMatch":{"type":"string","description":"Flag which indicates if the ID number is matching or not"},"idNumber2Match":{"type":"string","description":"Flag which indicates if the ID number2 is matching or not"},"dateOfBirthMatch":{"type":"string","description":"Flag which indicates if the Date of Birth is matching or not"},"expiryDateMatch":{"type":"string","description":"Flag which indicates if the Expiry Date is matching or not"},"nameMatch":{"type":"string","description":"Flag which indicates if the Name is matching or not"},"firstNameMatch":{"type":"string","description":"Flag which indicates if the First name is matching or not"},"middleNameMatch":{"type":"string","description":"Flag which indicates if the Middle name is matching or not"},"lastNameMatch":{"type":"string","description":"Flag which indicates if the Last name is matching or not"},"addressMatch":{"type":"string","description":"Flag which indicates if the address is matching or not"},"postalCodeMatch":{"type":"string","description":"Flag which indicates if the postalCode is matching or not"},"idNumberMatchScore":{"type":"string","description":"IDNumber matching score"},"idNumber2MatchScore":{"type":"string","description":"IDNumber2 matching score"},"dateOfBirthMatchScore":{"type":"string","description":"Date of birth matching score"},"expiryDateMatchScore":{"type":"string","description":"Expiry of birth matching score"},"nameMatchScore":{"type":"string","description":"Name matching score"},"firstNameMatchScore":{"type":"string","description":"first name matching score"},"middleNameMatchScore":{"type":"string","description":"Middle name matching score"},"lastNameMatchScore":{"type":"string","description":"Last name matching score"},"addressMatchScore":{"type":"string","description":"Address matching score"},"postalCodeMatchScore":{"type":"string","description":"Postal code matching score"}}},"CustomerDataValidateIdResponse":{"type":"object","properties":{"extractedIdData":{"$ref":"#/components/schemas/IdDataResponse"},"extractedPersonalData":{"$ref":"#/components/schemas/PersonalCustomerValidateIdResponseData"},"extractedPOAData":{"type":"array","items":{"$ref":"#/components/schemas/POAExtractedDataResponse"}},"hostData":{"$ref":"#/components/schemas/HostDataResponse"},"parsedAddress":{"$ref":"#/components/schemas/ParsedAddressV4"},"parsedAddressEnhanced":{"$ref":"#/components/schemas/ParsedAddressEnhanced"},"customerDataMatchResult":{"$ref":"#/components/schemas/CustomerDataMatchResultV4"}}},"CustomerValidateIdResponse":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/StatusData"},"resultData":{"$ref":"#/components/schemas/FormDetailValidateIdResponseData"},"responseCustomerData":{"$ref":"#/components/schemas/CustomerDataValidateIdResponse"}}},"DocumentTamper":{"type":"object","properties":{"riskLevel":{"type":"string","description":"Tamper risk level of Document. eg.NORMAL ,TRUSTED ,WARNING & HIGH_RISK","example":"NORMAL"}},"description":"Tamper risk level of Document"},"FormDetailValidateIdResponseData":{"type":"object","properties":{"uniqueRequestId":{"maxLength":256,"type":"string","description":"This is the unique key that is echoed back from the request.","example":"56975421474"},"verificationResultId":{"type":"integer","description":"This is the unique Form ID that is generated on the IDmission server for each unique request.","format":"int64","example":1234},"verificationResultDetails":{"type":"object","description":"**Decision_{DecisionName} – this is a repeating node for each applicable decision and the DecisionName label will vary indicating the decision category from validation processing.**\n\n**{**\n\n**DecisionStateCode - Different decision state codes will be returned back based on the servers evaluation of the request. Please refer /master/status-code-list which represents all possible values as the statusCode.**\n\n**DecisionResult - This is the result state of the submission. Please refer /master/status-code-list which represents all possible values shown in the statusCodeDescription for failed decisions. When a decision rule passes, the DecisionResult value will always be \"OK\".**\n\n**}**"},"verificationResult":{"type":"string","description":"This is the result state of the submission. Please refer /master/status-code-list which represents all of the values for the Form Create / Form Search APIs."},"verificationResultCode":{"type":"string","description":"Different status codes will be returned back based on the servers evaluation of the request. Please refer /master/status-code-list which represents all of the values for the Form Create / Form Search APIs."}}},"HostDataResponse":{"type":"object","properties":{"textMatchResult":{"$ref":"#/components/schemas/TextMatchResult"},"sexOffenders":{"$ref":"#/components/schemas/SexOffenderResult"},"criminalRecord":{"$ref":"#/components/schemas/CriminalRecordResult"},"ineResponse":{"$ref":"#/components/schemas/IneResponse"},"renapoResponse":{"$ref":"#/components/schemas/RenapoResponse"},"ine_QR":{"$ref":"#/components/schemas/IneQRResponse"},"documentTamper":{"$ref":"#/components/schemas/DocumentTamper"},"idTamper":{"$ref":"#/components/schemas/DocumentTamper"},"advanceLivenessResult":{"type":"object","additionalProperties":{"type":"object","description":"Advance Liveness result."},"description":"Advance Liveness result."},"pepresult":{"$ref":"#/components/schemas/OrderPEPResult"},"wlsresult":{"$ref":"#/components/schemas/OrderWLSResult"},"nmresult":{"$ref":"#/components/schemas/OrderNMResult"}}},"IdDataResponse":{"type":"object","properties":{"idType":{"type":"string","description":"This is extracted id type that is returned in the response."},"idState":{"type":"string","description":"This is 2 or 3 digit ISO state code. Either extracted from the barcode or as defined in the template."},"idCountry":{"type":"string","description":"This is the 3-digit ISO country code in which the identity document was issued. Either extracted from the barcode / MRZ or as defined in the template."},"idNumber":{"type":"string","description":"ID number extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"123456"},"idNumber1":{"type":"string","description":"ID number1 extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"123456"},"idNumber2":{"type":"string","description":"ID number2 extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"123456"},"idNumber3":{"type":"string","description":"ID number3 extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"123456"},"idNumber4":{"type":"string","description":"ID number4 extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"123456"},"idDateOfBirth":{"type":"string","description":"Date of Birth extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"idDateOfBirthFormatted":{"type":"string","description":"Date of Birth extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"idExpirationDate":{"type":"string","description":"Expiration Date extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"idExpirationDateFormatted":{"type":"string","description":"Expiration Date extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"idIssueDate":{"type":"string","description":"Issue Date extracted from either barcode, MRZ, or front of the ID when MRZ/barcode are not present. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"idIssueCountry":{"type":"string","description":"This is the 3-digit ISO country code in which the identity document was issued. Either extracted from the barcode / MRZ or as defined in the template."},"placeOfIssue":{"type":"string","description":"Place of issue extracted from the ID."},"mrzData":{"type":"string","description":"This is the raw data extracted from the MRZ."},"idImageFront":{"type":"string","description":"This image is the front image provided by the client.","format":"Base64"},"idImageBack":{"type":"string","description":"This image is the back image provided by the client.","format":"Base64"},"idProcessImageFront":{"type":"string","description":"Processed images are copies of the image that have been cropped, desckewed, rotated after the server processes them for template matching.","format":"Base64"},"idProcessImageBack":{"type":"string","description":"Processed images are copies of the image that have been cropped, desckewed, rotated after the server processes them for template matching.","format":"Base64"},"idNumberNonEng":{"type":"string","description":"Non English idNumber, extracted from the front or back of the ID."},"idNumber2NonEng":{"type":"string","description":"Non English idNumber2, extracted from the front or back of the ID."},"idDateOfBirthNonEng":{"type":"string","description":"Non English date of birth, extracted from the front or back of the ID."},"idExpirationDateNonEng":{"type":"string","description":"Non English expiration date, extracted from the front or back of the ID."},"idIssueDateNonEng":{"type":"string","description":"Non English issue date, extracted from the front or back of the ID."},"barcodeDataParsed":{"type":"string","description":"Flag for barcode data parsed. Possible values include:\r\n- Y: Barcode data was parsed from ID. \r\n- N: Barcode data was not parsed from ID."},"photoOnId":{"type":"string","description":"Customer Photo on specific Id.","example":"base64"},"ageOver18":{"type":"string","description":"Flag which indicates if the individual's age is over 18 as calculated from the extracted Date of Birth. (Y/N)."},"nationality":{"type":"string","description":"Nationality of individual based on the MRZ data from the submitted ID, if available."},"idNotExpired":{"type":"string","description":"Flag which indicates if the submitted ID is expired. (Y/N)."},"validIdNumber":{"type":"string","description":"Flag which indicates if the ID number extracted from the ID is in a valid format. (Y/N)."},"negativeDBMatchFound":{"type":"string","description":"Flag which indicates if there is a biometric match against the negative database which will automatically decline the transaction. (Y/N)."},"mrzErrorMessage":{"type":"string","description":"Will display any error if the MRZ extraction fails, this will be blank if there are no errors."},"idNumber_doc":{"type":"string","description":"ID number extracted from front of the ID."},"idNumber1_doc":{"type":"string","description":"ID number1 extracted from front of the ID."},"idNumber2_doc":{"type":"string","description":"ID number2 extracted from front of the ID."},"idNumber3_doc":{"type":"string","description":"ID number3 extracted from front of the ID."},"idNumber4_doc":{"type":"string","description":"ID number4 extracted from front of the ID."},"idExpirationDate_doc":{"type":"string","description":"Expiration Date extracted from front of the ID."},"idIssueDate_doc":{"type":"string","description":"Issue Date extracted from front of the ID."},"profession":{"type":"string","description":"Profession extracted from front of the ID."},"professionNonEng":{"type":"string","description":"Non English profession, extracted from the front or back of the ID."},"employer":{"type":"string","description":"Employer extracted from the ID."},"vehicleClass":{"type":"string","description":"vehicleClass extracted from the ID."},"endorsement":{"type":"string","description":"endorsement extracted from the ID."},"licenseType":{"type":"string","description":"licenseType extracted from the ID."},"restriction":{"type":"string","description":"restriction extracted from the ID."},"registrationDate":{"type":"string","description":"registrationDate extracted from the ID."},"replacementDate":{"type":"string","description":"replacementDate extracted from the ID."},"maritalStatus":{"type":"string","description":"Marital Status extracted from the ID."},"placeOfBirth":{"type":"string","description":"Place of birth extracted from the ID."},"signatureFromId":{"type":"string","description":"Signature extracted from the ID."}}},"IneQRResponse":{"type":"object","properties":{"hostStatus":{"type":"string","description":"Host status"},"hostTried":{"type":"string","description":"Host tried"},"status":{"type":"string","description":"Status"},"message":{"type":"string","description":"Message"},"validationCode":{"type":"string","description":"validationCode"},"messageCode":{"type":"string","description":"messageCode"},"faceComparison_match":{"type":"string","description":"Face match from the photo extracted from the QR vs the photo on the front of the ID. Possible values include:\r\n- true\r\n- false"},"qrExtract_face":{"type":"string","description":"Photo extracted from the QR."},"qrExtractData_vigencia":{"type":"string","description":"Expiry date extracted from the QR."},"qrExtractData_apellidoMaterno":{"type":"string","description":"Maternal name extracted from the QR."},"qrExtractData_apellidoPaterno":{"type":"string","description":"Paternal name extracted from the QR."},"qrExtractData_nombre":{"type":"string","description":"Name extracted from the QR."},"qrExtractData_fechaElaboracion":{"type":"string","description":"Issued date extracted from the QR."},"qrExtractData_genero":{"type":"string","description":"Gender extracted from the QR."},"qrExtractData_curp":{"type":"string","description":"CURP extracted from the QR."},"qrExtractData_seccion":{"type":"string","description":"Section extracted from the QR."},"qrExtractData_tipo":{"type":"string","description":"Type extracted from the QR."},"qrExtractData_cic":{"type":"string","description":"CIC extracted from the QR."},"qrExtractData_ocr":{"type":"string","description":"OCR extracted from the QR"},"qrValidation_vigencia":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_apellidoPaterno":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_nombre":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_apellidoMaterno":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_emision":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_genero":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_cic":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_curp":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"qrValidation_ocr":{"type":"string","description":"Match result from QR vs ID. Possible values include:\r\n- true\r\n- false"},"error":{"type":"string","description":"Detailed error message."}}},"IneResponse":{"type":"object","properties":{"claveElector":{"type":"string","description":"VID's Electoral key."},"anioRegistro":{"type":"string","description":"Year of registration to the INE."},"vigencia":{"type":"string","description":"VID's Expiry date."},"ineCodigoValidacion":{"type":"string","description":"Unique identifier for INE's nominal list search request."},"ineEstatus":{"type":"string","description":"Possible values OK/ERROR."},"numeroEmision":{"type":"string","description":"VID's Number of emission."},"anioEmision":{"type":"string","description":"VID's Year of emission."},"claveMensaje":{"type":"string","description":"Possible values of claveMensaje - mensaje:\r\n\n- 0 - 'Datos incorrectos o inexistentes.'\r\n- 1 - 'No esta vigente como medio de identificacion y no puedes votar.'\r\n- 2 - 'Esta vigente como medio de identificacion y nopuede votar.'\r\n- 3 - 'Esta vigente como medio de identificacion y puede votar.'\r\n- 4 - 'Error de datos.'\r\n- 5 - 'CIC con formato no valido.'\r\n- 6 - 'OCR con formato no valido.'\r\n- 7 - 'Clave de elector con formato no valido.'\r\n- 8 - 'Numero de emisión con formato no valido.'\r\n"},"mensaje":{"type":"string","description":"Possible values of claveMensaje - mensaje:\r\n\n- 0 - 'Datos incorrectos o inexistentes.'\r\n- 1 - 'No esta vigente como medio de identificacion y no puedes votar.'\r\n- 2 - 'Esta vigente como medio de identificacion y nopuede votar.'\r\n- 3 - 'Esta vigente como medio de identificacion y puede votar.'\r\n- 4 - 'Error de datos.'\r\n- 5 - 'CIC con formato no valido.'\r\n- 6 - 'OCR con formato no valido.'\r\n- 7 - 'Clave de elector con formato no valido.'\r\n- 8 - 'Numero de emisión con formato no valido.'\r\n"},"ocr":{"type":"string","description":"VID's id number."},"error":{"type":"string","description":"Detailed error message."}}},"OrderNMResult":{"type":"object","properties":{"orderUrlNM":{"type":"string","description":"This is the order Url NM extracted from the response.","example":"https://vital"},"orderIdNM":{"type":"string","description":"This is the order Id NM extracted from the response.","example":"bc9fcbf1"},"orderStatusNM":{"type":"string","description":"This is the order Status NM extracted from the response.","example":"Processing"},"createdOnNM":{"type":"string","description":"Creation Date and time on NM.","example":"2021-10-26T07:09:18.7524812"},"resultCountNM":{"type":"string","description":"Result Count on NM.","example":"0"},"productIdNM":{"type":"string","description":"Product Id of Pep.","example":"NM"},"vital4APIHostTried":{"type":"string"}}},"OrderPEPResult":{"type":"object","properties":{"orderUrlPEP":{"type":"string","description":"This is the order Url Pep extracted from the response.","example":"https://vital"},"orderIdPEP":{"type":"string","description":"This is the order Id Pep extracted from the response.","example":"bc9fcbf1"},"orderStatus_PEP":{"type":"string","description":"This is the order Status Pep extracted from the response.","example":"Processing"},"createdOnPEP":{"type":"string","description":"Creation Date and time on PEP.","example":"2021-10-26T07:09:18.7524812"},"resultCountPEP":{"type":"string","description":"Result Count on PEP.","example":"0"},"productId_PEP":{"type":"string","description":"Product Id of Pep.","example":"PEP"}}},"OrderWLSResult":{"type":"object","properties":{"orderUrlWLS":{"type":"string","description":"This is the order Url WLS extracted from the response.","example":"https://vital"},"orderIdWLS":{"type":"string","description":"This is the order Id WLS extracted from the response.","example":"bc9fcbf1"},"orderStatusWLS":{"type":"string","description":"This is the order Status WLS extracted from the response.","example":"Processing"},"createdOnWLS":{"type":"string","description":"Creation Date and time on WLS.","example":"2021-10-26T07:09:18.7524812"},"resultCountWLS":{"type":"string","description":"Result Count on WLS.","example":"0"},"productIdWLS":{"type":"string","description":"Product Id of WLS.","example":"WLS"}}},"POAExtractedDataResponse":{"type":"object","properties":{"issuerName":{"type":"string","description":"Issuer company name extracted from the document."},"issuerAddress":{"type":"string","description":"Issuer company address extracted from the document."},"invoiceDate":{"type":"string","description":"Date of invoice extracted from the document."},"dueDate":{"type":"string","description":"Due date extracted from the document."},"customerName":{"type":"string","description":"Customer's name extracted from the document."},"customerAddress":{"type":"string","description":"Customer's address extracted from the document."},"amount":{"type":"string","description":"Total amount due or net amount due extracted from the document."},"additionalCustomerName":{"type":"string","description":"Additional customer name extracted from the document."},"rfc":{"type":"string","description":"RFC extracted from the document."},"rmu":{"type":"string","description":"RMU extracted from the document."},"parsedPoaAddress":{"$ref":"#/components/schemas/ParsedPoaAddress"},"addressMatch":{"type":"string","description":"Flag which indicates if the address from POA document is matching or not with ID Document"},"postalCodeMatch":{"type":"string","description":"Flag which indicates if the postalCode from POA document is matching or not with ID Document"},"addressWithInputMatch":{"type":"string","description":"Flag which indicates if the addressLine1 from POA document is matching or not with personal data"},"postalCodeWithInputMatch":{"type":"string","description":"Flag which indicates if the postalCode from POA document is matching or not with personal data"},"addressMatchScore":{"type":"string","description":"Address line matching score with ID Document"},"postalCodeMatchScore":{"type":"string","description":"Postal code matching score ID Document"},"addressWithInputMatchScore":{"type":"string","description":"Address matching score with personal data"},"postalCodeWithInputMatchScore":{"type":"string","description":"Postal code matching score personal data"},"firstNameMatch":{"type":"string","description":"Flag which indicates if the first name from POA document is matching or not with ID Document"},"lastNameMatch":{"type":"string","description":"Flag which indicates if the last name from POA document is matching or not with ID Document"},"fistNameMatchScore":{"type":"string","description":"First name matching score with ID Document"},"lastNameMatchScore":{"type":"string","description":"Last name matching score with ID Document"},"firstNameMatchWithInputData":{"type":"string","description":"Flag which indicates if the first name from POA document is matching or not with personal data"},"fistNameMatchScoreWithInputData":{"type":"string","description":"First name matching score with personal data"},"lastNameMatchWithInputData":{"type":"string","description":"Flag which indicates if the last name from POA document is matching or not with personal data"},"lastNameMatchScoreWithInputData":{"type":"string","description":"Last name matching score with personal data"},"middleNameMatch":{"type":"string","description":"Flag which indicates if the middle name from POA document is matching or not with ID Document"},"middleNameMatchScore":{"type":"string","description":"Middle name matching score with ID Document"},"nameMatch":{"type":"string","description":"Flag which indicates if the full name from POA document is matching or not with ID Document"},"nameMatchScore":{"type":"string","description":"Full name matching score with ID Document"},"middleNameMatchWithInputData":{"type":"string","description":"Flag which indicates if the middle name from POA document is matching or not with personal data"},"middleNameMatchScoreWithInputData":{"type":"string","description":"Middle name matching score with personal data"},"nameMatchWithInputData":{"type":"string","description":"Flag which indicates if the full name from POA document is matching or not with personal data"},"nameMatchScoreWithInputData":{"type":"string","description":"Full name matching score with personal data"},"isPOA":{"type":"string","description":"Flag to indicate if document got classified as POA or not"},"isPOAScore":{"type":"string","description":"POA classification  score"},"poaDocumentType":{"type":"string","description":"POA document type"},"exifData":{"type":"object","additionalProperties":{"type":"string","description":"EXIF data of the POA document"},"description":"EXIF data of the POA document"}}},"ParsedAddressEnhanced":{"type":"object","properties":{"streetNameNumber":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"unit":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"district":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"municipality":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"city":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"province":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"},"postalCode":{"type":"string","description":"This field is parsed from the address by the enhanced address parser"}}},"ParsedAddressV4":{"type":"object","properties":{"buildingName":{"type":"string","description":"This field is parsed from the address. Filled for USA and GBR IDs only"},"streetNumber":{"type":"string","description":"This field is parsed from the address"},"streetName":{"type":"string","description":"This field is parsed from the address"},"unit":{"type":"string","description":"This field is parsed from the address"},"district":{"type":"string","description":"This field is parsed from the address. Filled for USA and GBR IDs only"},"municipality":{"type":"string","description":"This field is parsed from the address"},"province":{"type":"string","description":"This field is parsed from the address"},"postalCode":{"type":"string","description":"This field is parsed from the address"},"orientation":{"type":"string","description":"This field is parsed from the address"}}},"ParsedPoaAddress":{"type":"object","properties":{"streetName":{"type":"string"},"streetNumber":{"type":"string"},"unit":{"type":"string"},"district":{"type":"string"},"municipality":{"type":"string"},"city":{"type":"string"},"province":{"type":"string"},"postalCode":{"type":"string"}},"description":"Parsed POA address components."},"PersonalCustomerValidateIdResponseData":{"type":"object","properties":{"uniqueNumber":{"maxLength":45,"type":"string","description":"This is a unique number that will be associated with the customer when enrolled or when performing future verifications.","example":"12345"},"name":{"type":"string","description":"Name of the customer.","example":"John Doe"},"email":{"type":"string","description":"Email address of the customer. Optional for any service.","format":"email","example":"someone@company.com"},"dob":{"type":"string","description":"Date of birth of the customer. Date will be formatted as dd/mm/yyyy format if parsed correctly after extraction.","format":"DD/MM/YYYY","example":"31/12/2019"},"gender":{"type":"string","description":"Gender of the customer. Valid values are M and F.","example":"M"},"address":{"type":"string","description":"Address of the customer.","example":"120 Main Street"},"addressLine1":{"type":"string","description":"Address Line1 of the customer.","example":"123 Main Street"},"addressLine2":{"type":"string","description":"Address Line2 of the customer.","example":"Company Name"},"addressLine3":{"type":"string","description":"Address Line3 of the customer.","example":"121 Main Street"},"city":{"type":"string","description":"City address of the customer.","example":"San Francisco"},"country":{"maxLength":3,"minLength":3,"type":"string","description":"Country associated with the Customer.","example":"USA"},"state":{"type":"string","description":"2 digit state code from the address of the customer.","example":"String"},"postalCode":{"type":"string","description":"Postal Code from the address of the customer.","example":"123456"},"eyeColor":{"type":"string","description":"eyeColor extracted from the ID."},"hairColor":{"type":"string","description":"hairColor extracted from the ID."},"height":{"type":"string","description":"height extracted from the ID."},"weight":{"type":"string","description":"weight extracted from the ID."},"parish":{"type":"string","description":"parish extracted from the ID."},"lastName2":{"type":"string","description":"This field is extracted from:\r\n- The barcode or MRZ (if present).\r\n- The front or back of the ID."},"firstName":{"type":"string","description":"First name extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"John"},"middleName":{"type":"string","description":"Middle name extracted from either barcode, MRZ, or front of the ID when MRZ / barcode are not present.","example":"Middle"},"lastName":{"type":"string","description":"This field is extracted from:\r\n- The barcode or MRZ (if present).\r\n- The front or back of the ID.","example":"Doe"},"nameNonEng":{"type":"string","description":"Non English name, extracted from the front or back of the ID."},"firstNameNonEng":{"type":"string","description":"Non English first name, extracted from the front or back of the ID."},"lastNameNonEng":{"type":"string","description":"Non English last name, extracted from the front or back of the ID."},"middleNameNonEng":{"type":"string","description":"Non English middle name, extracted from the front or back of the ID."},"addressNonEng":{"type":"string","description":"Non English address, extracted from the front or back of the ID."},"addressLine1NonEng":{"type":"string","description":"Non English address line 1,  extracted from the front or back of the ID."},"addressLine2NonEng":{"type":"string","description":"Non English address line 2,  extracted from the front or back of the ID."},"lastName2_doc":{"
[...]
